use resend_rs::{list_opts::ListOptions, Resend, Result};#[tokio::main]async fn main() -> Result<()> { let resend = Resend::new("re_xxxxxxxxx"); let _emails = resend.emails.list(ListOptions::default()).await?; Ok(())}
import com.resend.Resend;import com.resend.core.exception.ResendException;import com.resend.services.emails.model.ListEmailsResponseSuccess;public class Main { public static void main(String[] args) throws ResendException { Resend resend = new Resend("re_xxxxxxxxx"); ListEmailsResponseSuccess emails = resend.emails().list(); }}
using Resend;IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DIvar resp = await resend.EmailListAsync();Console.WriteLine( "Count={0}", resp.Content.Data.Count );
curl -X GET 'https://api.resend.com/emails' \ -H 'Authorization: Bearer re_xxxxxxxxx'
use resend_rs::{list_opts::ListOptions, Resend, Result};#[tokio::main]async fn main() -> Result<()> { let resend = Resend::new("re_xxxxxxxxx"); let _emails = resend.emails.list(ListOptions::default()).await?; Ok(())}
import com.resend.Resend;import com.resend.core.exception.ResendException;import com.resend.services.emails.model.ListEmailsResponseSuccess;public class Main { public static void main(String[] args) throws ResendException { Resend resend = new Resend("re_xxxxxxxxx"); ListEmailsResponseSuccess emails = resend.emails().list(); }}
using Resend;IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DIvar resp = await resend.EmailListAsync();Console.WriteLine( "Count={0}", resp.Content.Data.Count );
curl -X GET 'https://api.resend.com/emails' \ -H 'Authorization: Bearer re_xxxxxxxxx'
You can list all emails sent by your team. The list returns references to individual emails. If needed, you can use the id of an email to retrieve the email HTML to plain text using the Retrieve Email endpoint or the Retrieve Attachments endpoint to get an email’s attachments.
This endpoint only returns emails sent by your team. If you need to list
emails received by your domain, use the List Received
Emails endpoint.
import { Resend } from 'resend';const resend = new Resend('re_xxxxxxxxx');const { data, error } = await resend.emails.list();
use resend_rs::{list_opts::ListOptions, Resend, Result};#[tokio::main]async fn main() -> Result<()> { let resend = Resend::new("re_xxxxxxxxx"); let _emails = resend.emails.list(ListOptions::default()).await?; Ok(())}
import com.resend.Resend;import com.resend.core.exception.ResendException;import com.resend.services.emails.model.ListEmailsResponseSuccess;public class Main { public static void main(String[] args) throws ResendException { Resend resend = new Resend("re_xxxxxxxxx"); ListEmailsResponseSuccess emails = resend.emails().list(); }}
using Resend;IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DIvar resp = await resend.EmailListAsync();Console.WriteLine( "Count={0}", resp.Content.Data.Count );
curl -X GET 'https://api.resend.com/emails' \ -H 'Authorization: Bearer re_xxxxxxxxx'